GET
Get a recommendation rule for an app.
https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{siteName}/recommendations/{name}Get a recommendation rule for an app.
Access Token Required: API Key
Path Parameters
siteNamestringrequired
Name of the app.
namestringrequired
Name of the recommendation.
Query Params
updateSeenstring
Specify <code>true</code> to update the last-seen timestamp of the recommendation object.
recommendationIdstring
The GUID of the recommendation object if you query an expired one. You don't need to specify it to query an active entry.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{siteName}/recommendations/{name}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}